Package org.apache.sysds.runtime.transform.tokenize

# Class Token

java.lang.Object
org.apache.sysds.runtime.transform.tokenize.Token

public class Token extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Token.SubToken`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EMPTY_TOKEN`

## Constructor Summary

Constructors
Constructor
Description
`Token(String token, long startIndex)`
`Token(List<String> tokens, List<Long> startIndex)`
`Token(List<Token> subList)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumSubTokens()`
`long`
`getStartIndex(int subTokenIndex)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### EMPTY_TOKEN

public static final String EMPTY_TOKEN

See Also:
  - Constant Field Values

## Constructor Details

### Token

public Token(String token, long startIndex)

### Token

public Token(List<String> tokens, List<Long> startIndex)

### Token

public Token(List<Token> subList)

## Method Details

### getNumSubTokens

public int getNumSubTokens()

### getStartIndex

public long getStartIndex(int subTokenIndex)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`